Public Class ToolbarHandler

    Public MainForm As frmMDIParent
    Public MainFormToolbar As Toolbar

    Public Sub EnableToolbarButtons()
        Dim AllFormsClosed As Boolean = IsNothing(MainForm.ActiveMdiChild)

        MainFormToolbar.Buttons(2).Enabled = Not AllFormsClosed
        MainFormToolbar.Buttons(4).Enabled = Not AllFormsClosed
        MainFormToolbar.Buttons(5).Enabled = Not AllFormsClosed
        MainFormToolbar.Buttons(13).Enabled = Not AllFormsClosed

        If AllFormsClosed Then
            MainFormToolbar.Buttons(7).Enabled = False
            MainFormToolbar.Buttons(8).Enabled = False
            MainFormToolbar.Buttons(9).Enabled = False
            MainFormToolbar.Buttons(11).Enabled = False
            MainFormToolbar.Buttons(12).Enabled = False
            MainFormToolbar.Buttons(15).Enabled = False
            MainFormToolbar.Buttons(16).Enabled = False
            MainFormToolbar.Buttons(17).Enabled = False
            MainFormToolbar.Buttons(18).Enabled = False
        Else
            Dim ActiveChild As frmMDIChild = CType(MainForm.ActiveMdiChild, frmMDIChild)
            MainFormToolbar.Buttons(7).Enabled = ActiveChild.CanCopy
            MainFormToolbar.Buttons(8).Enabled = ActiveChild.CanCopy
            MainFormToolbar.Buttons(9).Enabled = ActiveChild.CanPaste
            MainFormToolbar.Buttons(11).Enabled = ActiveChild.CanUndo
            MainFormToolbar.Buttons(12).Enabled = ActiveChild.CanRedo
        End If
    End Sub

    Public Sub ToolbarClickEventHandler(ByVal Index As Integer)
        If Index = 0 Or Index = 1 Then
            Select Case Index
                Case 0
                    MainForm.FileNew()
                Case 1
                    MainForm.FileOpen()
            End Select
        Else
            Dim ActiveChild As frmMDIChild = CType(MainForm.ActiveMdiChild, frmMDIChild)
            Select Case Index
                Case 2
                    ActiveChild.FileSave()
                Case 3
                    ActiveChild.PrintPreview()
                Case 4
                    ActiveChild.Print()
                Case 5
                    ActiveChild.Cut()
                Case 6
                    ActiveChild.Copy()
                Case 7
                    ActiveChild.Paste()
                Case 8
                    ActiveChild.Undo()
                Case 9
                    ActiveChild.Redo()
                Case 10
                    ActiveChild.Find()
                Case 11
                    ActiveChild.HeaderAttributes()
                Case 12
                    ActiveChild.SwitchBetweenHeaderAndFooter()
                Case 13
                    ActiveChild.GoToFirstPage()
                Case 14
                    ActiveChild.GoToDefault()
            End Select
        End If

    End Sub

    Public Sub HeaderFooterButtonEnable(ByVal Enable As Boolean)
        MainFormToolbar.Buttons(15).Enabled = Enable
        MainFormToolbar.Buttons(16).Enabled = Enable
        MainFormToolbar.Buttons(17).Enabled = Enable
        MainFormToolbar.Buttons(18).Enabled = Enable
    End Sub
End Class
